=== debian/changelog ===
libcpuid (0.4.1) unstable; urgency=low

  * Better support for Skylake Core i5 (#76)
  * Misdiagnosis microarchitecture for i3-3220T (#81)
  * Ability to dump MSR values to a file (PR #82)
  * AMD Ryzen support (#86)
  * Support for Coffee and Kaby Lake (#104)
  * Support for Raven Ridge and Threadripper (#106)
  * Support for Pinnacle Ridge (#111)
  * Fix P-III Celeron misdetection
  * Support for Skylake-X (#116)
  * Support for Zen+ Threadripper

 -- Georgiev, Veselin <anrieff@gmail.com>  Tue, 05 Feb 2019 22:36:00 +0200

libcpuid (0.4.0+ubuntu1~1) artful; urgency=low

  * built for artful
  * got rid of lintian errors

 -- Jeffrey Cliff <jeffrey.cliff@gmail.com>  Fri, 20 Apr 2018 15:39:37 +0600

libcpuid (0.4.0) unstable; urgency=low

  * Better detection of AMD clock multiplier with msrinfo.
  * Support for Intel SGX detection
  (a backwards-incompatible change since the sizeof
   cpu_raw_data_t and cpu_id_t is now different).

 -- Georgiev, Veselin <anrieff@gmail.com>  Fri, 30 Sep 2016 22:39:37 +0300

libcpuid (0.3.0) unstable; urgency=low

  * A backwards-incompatible change, since the sizeof cpu_raw_data_t and
	  cpu_id_t are now different.
  * Support for processors up to Skylake.
  * Fix clock detection in cpu_clock_by_ic() for Skylake.
  * Support up to 8 subleaf entries for CPUID leaf 04 and detection
	  of L4 cache.
  * MSR functions supported on FreeBSD.
  * INFO_VOLTAGE request supported by cpu_msrinfo().

 -- eloaders <eloaders@linux.pl>  Mon, 22 Aug 2016 17:45:21 +0200

libcpuid (0.2.1) unstable; urgency=low

  * Initial release add debian directory for libcpuid.

 -- Zhang, Guodong <gdzhang@linx-info.com>  Fri, 10 Apr 2015 14:59:27 +0800
